Bug 170436 - lvm+raid0+scsi: Boot fails after kernel upgrade to 2.6.13
lvm+raid0+scsi: Boot fails after kernel upgrade to 2.6.13
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 14:30 EDT by MIchael Kolmodin
Modified: 2008-03-09 03:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patched init script which works (1.54 KB, text/plain)
2005-10-11 14:32 EDT, MIchael Kolmodin
no flags Details

  None (edit)
Description MIchael Kolmodin 2005-10-11 14:30:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
I installed a fresh FC4 (with kernel 2.6.11) using lvm on top of two SCSI disks in a raid-0 configuration. The installation went fine, no problem.

After this, I updated the kernel to 2.6.13-1.1526_FC4. After this, the system wouldn't find the root partition - that is, the lvm volume on top of the raid disks.

Using google, I found out the problem seems to be a SCSI timing issue: that my SCSI card takes too long time to probe for the disks, and that lvm when started wasn't able to find the disks. 

The workaround I found was to generate a new initrd image, with a 10 seconds sleep after loading the SCSI modules. This solved the probem for the time beeing.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 from media
2. Upgrade kernel to 2.6.13-1.1526_FC4
3. Watch boot fail sine the root partitions isn't found.
  

Actual Results:  System hangs after trying to mount root.

Expected Results:  Well, a successful boot :-)

Additional info:

Some thought on this: http://www.ussg.iu.edu/hypermail/linux/kernel/0412.1/1815.html

No problem mount the lvm root volume with in rscue mode
Comment 1 MIchael Kolmodin 2005-10-11 14:32:18 EDT
Created attachment 119816 [details]
Patched init script which works
Comment 2 MIchael Kolmodin 2005-10-11 14:39:47 EDT
Oops: my SCSI driver is aic7xxx.
Comment 3 Gilboa Davara 2005-12-04 05:07:28 EST
Seems like I'm having the same problem with 1644.
Kernel doesn't wait for my 29160 to finish the bus scan and fails due to missing
root partition.
1537 seems to work just fine.

Configuration:
FC4/x86-64
Dual Opteron / Tyan Thunder K8WE.
2GB RAM.
Adaptec 29160, PCI/64 (in PCI-X slot)
4 x 36GB 10K U160/U320 SCSI drives.
Comment 4 Christian Iseli 2007-01-22 05:56:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 petrosyan 2008-03-09 03:27:37 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.